# ApiClusterTemplateInstantiator

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**cluster_name** | **str** | Cluster name | [optional] 
**hosts** | [**list[ApiClusterTemplateHostInfo]**](ApiClusterTemplateHostInfo.md) | All the hosts that are part of that cluster | [optional] 
**variables** | [**list[ApiClusterTemplateVariable]**](ApiClusterTemplateVariable.md) | All the variables the are referred by the cluster template | [optional] 
**role_config_groups** | [**list[ApiClusterTemplateRoleConfigGroupInfo]**](ApiClusterTemplateRoleConfigGroupInfo.md) | All the role config group informations for non-base RCGs. | [optional] 
**cluster_spec** | [**ApiClusterTemplateClusterSpec**](ApiClusterTemplateClusterSpec.md) | Cluster specification. | [optional] 
**keep_host_templates** | **bool** | Keep the hosts templates from cluster template. | [optional] 
**lenient** | **bool** | Allow setting service parameters that may not currently be supported by the current CM version but will be in the future. | [optional] 
**enable_kerberos** | [**ApiConfigureForKerberosArguments**](ApiConfigureForKerberosArguments.md) | Enable kerberos authentication | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


